psp 3.03 downgrader released

Discussion in 'PSP - Hacking & Homebrew' started by thegame07, Jan 29, 2007.

Jan 29, 2007

psp 3.03 downgrader released by thegame07 at 1:03 AM (1,128 Views / 0 Likes) 11 replies

  1. thegame07
    OP

    Member thegame07 GBAtemp Psycho!

    Joined:
    Oct 16, 2006
    Messages:
    3,860
    Country:
    United Kingdom
    i have not tried this. use at your own risk. downgrader for sony 3.03 firmware
     
  2. mcbey

    Member mcbey GBAtemp Regular

    Joined:
    Dec 29, 2006
    Messages:
    131
    Location:
    Texas
    Country:
    United States
    No link?
     
  3. Shinji

    Member Shinji ҉҉ ҉҉

    Joined:
    Nov 6, 2002
    Messages:
    2,374
    Location:
    City of Delusion
    Country:
    United States
  4. MC DUI

    Member MC DUI GBAtemp Advanced Maniac

    Joined:
    Nov 30, 2003
    Messages:
    1,916
    Location:
    Newcastle, Australia
    Country:
    Australia
    http://forums.maxconsole.net/showthread.php?t=46449


    And here it is! The PSP Firmware v3.03 DOWNGRADER has now been released by the 'Noobz' team. If you're not interested in downgrading, Noobz has also also released a v3.03 homebrew enabler. By running HEN, it installs a patch in your PSP's memory, that allows you to run homebrew almost as if you had a v1.5 PSP. The requirements for the HEN v3.03 are the same as the downgrader!

    Official Noobz v3.03 Downgrader and HEN

    - This downgrader is for v3.03 firmware only. But if you have v2.81 - v3.02, no problem - you can just upgrade to v3.03 to use the downgrader.

    - You need a copy of the unpatched GTA:Liberty City Stories UMD. No ISOs, no patched UMDs, not Vice City Stories. See here for some info on how to check if your version is patched. The most reliable way : the unpatched disks have the v2.0 firmware update on them.

    - This downgrader is intended to enable homebrew. Homebrew is NOT the same as piracy. Don't be a thieving loser - buy the games you play.
    The downgrader will work on all current PSP hardware (TA-079 - TA-086). Patching of TA-082+ is automatic in the downgrader.

    - You downgrade at your own risk. There is always a chance of bricking, although we have done everything we can think of to make this process safe.
     
  5. cornaljoe

    Member cornaljoe GBAtemp Advanced Fan

    Joined:
    Jan 13, 2006
    Messages:
    523
    Country:
    United States
    My GTA:LCS has firmware v2.60 update on it. Will it work?
     
  6. thegame07
    OP

    Member thegame07 GBAtemp Psycho!

    Joined:
    Oct 16, 2006
    Messages:
    3,860
    Country:
    United Kingdom
    you need gta with update 2.0 on it
     
  7. romeoondaline

    Member romeoondaline GBAtemp Fan

    Joined:
    Aug 16, 2006
    Messages:
    369
    Location:
    U know where
    Country:
    United States
    dude where have u been......... [​IMG]

    dunt upgrade theres a downgrader for 2.6 here hold up ill look up the link......................http://dl.qj.net/Easy-2.50-2.60-downgrader-PSP/pg/12/fid/8607/catid/114
    there [​IMG] after that get a upgrader to 3.03 OE-A2 and from there upgrade to 3.03 OE-C (the best)
     
  8. thegame07
    OP

    Member thegame07 GBAtemp Psycho!

    Joined:
    Oct 16, 2006
    Messages:
    3,860
    Country:
    United Kingdom
    you can upgrade stright to oec its a full update. he has not got firmware 2.6 hes talking about what version of gta lcs he needs. try local video stores that rent games they may have old versions of gta lcs
     
  9. AshuraZro

    Member AshuraZro Belongs in a museum.

    Joined:
    Feb 21, 2004
    Messages:
    2,409
    Location:
    Stoney Creek, ON
    Country:
    Canada
    Congrats. Every single PSP is now downgradable for the time being. It also sounds like it's based off of the generic downgrader, which is the best one made. For those seeking an old version of GTA Liberty City Stories, the one with the 2.0 update on it, try local rental stores as thegame said. Also tried places that sell used titles and ask if you can check the disc in-store.
     
  10. ConraDargo

    Member ConraDargo Flashback Fanatic

    Joined:
    Dec 29, 2003
    Messages:
    1,764
    Location:
    Sweden
    Country:
    Sweden
    Soo... HEN runs homebrew, eh? That includes ISO-loaders?
     
  11. lenselijer

    Member lenselijer GBAtemp Maniac

    Joined:
    Mar 27, 2006
    Messages:
    1,497
    Country:
    Netherlands
    yes you can run devhook using hend and launch isos.

    But no point in doing it, because you better downgrade to 1.50 and then upgrade to 3.03oe-c, it's the same as 3.30 firmware but with iso loader included, so you only have to goto memorystick --> game and you can see the iso there.
     
  12. ajjav924

    Member ajjav924 GBAtemp Regular

    Joined:
    Dec 16, 2004
    Messages:
    109
    Country:
    United States
    so basically it's worth doing it?
     

Share This Page